"""This is the "nester.py" module and it provides one function called print_lol()
	which prints lists that may not include nested lists.
"""
def print_lol(the_list, indent = False, level = 0):
	"""This function takes one positional argument called "the list", which 
	is any python list (of - possibly - nested list). Each data item in the 
	provide list is (recursively) printed to the screen on it's own line.
	usage:
	nester_test.print_lol(list)
        A second argument indent was included to the option for de identation
        of the nested lists;
        usage: nester_test.print_lol(list,True)
        
	A third argument called "level" was included to represent the TAB when a list
	nested is found.
	usage:nester_test.print_lol(names,True,2)
	
	"""

	for each_item in the_list:
		if isinstance(each_item, list):
			print_lol(each_item, indent, level + 1)
		else:
			if indent:
				for tab_stop in range(level):
					print("\t", end = '')
			print(each_item)
